
Infrastructure - Bug #5578

Metacat compilation should target Java 1.6 

2014-07-14 20:26 - Robert Waltz

Status: Closed Start date: 2014-07-14

Priority: High Due date: 2014-11-25

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

When running ant to compile Metacat, the javac command should include the parameter -target 1.6

See http://stackoverflow.com/questions/10382929/unsupported-major-minor-version-51-0

To fix the actual problem you should try to either run the Java code with a newer version of Java JRE or specify the target

parameter to the Java compiler to instruct the compiler to create code compatible with earlier Java versions.

For example, in order to generate class files compatible with Java 1.4, use the following command line:

javac -target 1.4 HelloWorld.java

History

#1 - 2014-07-31 20:09 - Robert Waltz

- Product Version changed from * to 1.4.0

#2 - 2014-07-31 22:37 - Robert Waltz

- Due date changed from 2014-07-19 to 2014-08-02

- Target version changed from 2014.28-Block.4.2 to 2014.30-Block.4.3

#3 - 2014-08-07 15:54 - Jing Tao

- Status changed from New to Closed

We added the target 1.6 in both Metacat svn trunk and 2.4 branch. Also we released a another product - utility which will be used in Metacat. This

release of utilities will target java 1.6 as well.

I tested Metacats built from both trunk and branch 2.4 by java 1.7. The war files was running under both jre 1.7 and 1.6 (tomcat 7).  All of them

worked.

#4 - 2014-09-02 18:18 - Skye Roseboom

- Target version changed from 2014.30-Block.4.3 to Release Backlog

- Due date changed from 2014-08-02 to 2014-09-02

#5 - 2014-09-02 22:02 - Robert Waltz

- Product Version changed from 1.4.0 to *

#6 - 2014-09-24 17:49 - Jing Tao
- Due date changed from 2014-09-02 to 2014-09-24

#7 - 2014-09-24 17:55 - Dave Vieglais

- Target version changed from Release Backlog to CCI-1.4.1

#8 - 2014-09-24 18:19 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.5.0

#9 - 2014-09-24 18:19 - Robert Waltz

- Status changed from Closed to In Progress

#10 - 2014-09-24 18:20 - Robert Waltz

- Status changed from In Progress to Testing

#11 - 2014-11-21 19:16 - Jing Tao

- Due date changed from 2014-09-24 to 2014-11-21

Metacat-index showes the error on the startup in java 1.6 env:

[ERROR]: Application.run Error loading class [org.dataone.cn.indexer.parser.MergeSolrField] for bean with name 'eml.abstract' defined in class path

resource [application-context-eml-base.xml]: problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError:

org/dataone/cn/indexer/parser/MergeSolrField : Unsupported major.minor version 51.0 (unable to load class

org.dataone.cn.indexer.parser.MergeSolrField) [edu.ucsb.nceas.metacat.index.ApplicationController]

#12 - 2014-11-25 19:57 - Jing Tao

- Status changed from Testing to Closed

- Due date changed from 2014-11-21 to 2014-11-25

Some pom.xml files, such as d1-cn-index-processor  on the release branches were modified to compatible with java 1.6.
